Bug 427107

Summary: virt-manager segfaults on connecting to a local libvirt
Product: [Fedora] Fedora Reporter: Kevin Fenzi <kevin>
Component: libvirtAssignee: Daniel Berrange <berrange>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: hbrock, veillard
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.4.0-2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-02-20 22:32:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Fix crash with auth callback none

Description Kevin Fenzi 2007-12-31 14:12:40 EST
virt-manager-0.5.2-2.fc8.x86_64
libvirt-0.4.0-1.fc8.x86_64
gtk-vnc-0.2.0-4.fc8.x86_64
gtk-vnc-python-0.2.0-4.fc8.x86_64

virt-manager starts up fine, but then when I try and connect to my local libvirt
(on the same machine) it segfaults and dies. 

I installed all the debuginfo (50MB! :) 

The core gives me: 

#0  0x0000003ef16302de in remoteAuthenticate (conn=0x142a520, priv=0x142ab30,
in_open=1, 
    auth=0x0, authtype=0x0) at remote_internal.c:3350
#1  0x0000003ef1632378 in doRemoteOpen (conn=0x142a520, priv=0x142ab30,
uri=0x1408f70, 
    auth=0x0, flags=2) at remote_internal.c:748
#2  0x0000003ef1632fe2 in remoteOpen (conn=0x142a520, uri=0x1408f70, auth=0x0, 
    flags=<value optimized out>) at remote_internal.c:854
#3  0x0000003ef160b9b7 in do_open (name=0xbac834 "qemu:///system", auth=0x0,
flags=0)
    at libvirt.c:571
#4  0x00002aaab2905ae5 in libvirt_virConnectOpen (self=<value optimized out>, 
    args=<value optimized out>) at libvirt-py.c:1026
#5  0x0000003a85cb5b79 in PyEval_EvalFrameEx (f=0x142a370, 
    throwflag=<value optimized out>) at Python/ceval.c:3564
#6  0x0000003a85cb542c in PyEval_EvalFrameEx (f=0x142a030, 
    throwflag=<value optimized out>) at Python/ceval.c:3650
#7  0x0000003a85cb6862 in PyEval_EvalCodeEx (co=0xf830a8, globals=<value
optimized out>, 
    locals=<value optimized out>, args=0x10475a8, argcount=1, kws=0x1423b90,
kwcount=0, 
    defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2831
#8  0x0000003a85c5968c in function_call (func=0xfacb18, arg=0x1047590, kw=0x1424960)
    at Objects/funcobject.c:517
#9  0x0000003a85c3c303 in PyObject_Call (func=0x142ab30, arg=0x3ef164fca8, 
    kw=0x3ef162fece) at Objects/abstract.c:1860
#10 0x0000003a85cb3cac in PyEval_EvalFrameEx (f=0x1429e60, 
    throwflag=<value optimized out>) at Python/ceval.c:3844
#11 0x0000003a85cb542c in PyEval_EvalFrameEx (f=0x1429c30, 
    throwflag=<value optimized out>) at Python/ceval.c:3650
#12 0x0000003a85cb6862 in PyEval_EvalCodeEx (co=0x6f8c60, globals=<value
optimized out>, 
    locals=<value optimized out>, args=0x1047628, argcount=1, kws=0x0, kwcount=0, 
    defs=0x0, defcount=0, closure=0x0) at Python/ceval.c:2831
#13 0x0000003a85c596ee in function_call (func=0x7068c0, arg=0x1047610, kw=0x0)
    at Objects/funcobject.c:517
#14 0x0000003a85c3c303 in PyObject_Call (func=0x142ab30, arg=0x3ef164fca8, 
    kw=0x3ef162fece) at Objects/abstract.c:1860
#15 0x0000003a85c434fd in instancemethod_call (func=<value optimized out>, 
    arg=0x1047610, kw=0x0) at Objects/classobject.c:2497
#16 0x0000003a85c3c303 in PyObject_Call (func=0x142ab30, arg=0x3ef164fca8, 
    kw=0x3ef162fece) at Objects/abstract.c:1860
#17 0x0000003a85caf3fe in PyEval_CallObjectWithKeywords (func=0x104fc80, 
    arg=0x2aaaaaac4050, kw=0x0) at Python/ceval.c:3433
#18 0x0000003a85cdd31d in t_bootstrap (boot_raw=0x14299e0) at
Modules/threadmodule.c:424
#19 0x0000003a73606407 in start_thread () from /lib64/libpthread-2.7.so
#20 0x0000003a72ad4b0d in clone () from /lib64/libc-2.7.so

Happy to test/provide more info.
Comment 1 Daniel Berrange 2007-12-31 15:24:51 EST
Thanks for the debugging. No need for further info - the stack trace shows a
clear flaw in libvirt. Will prepare a patch...
Comment 2 Daniel Berrange 2007-12-31 15:36:01 EST
Created attachment 290591 [details]
Fix crash with auth callback

If you want to test a fix, the following patch applies against the libvirt RPM
and ought to address the crash you discovered.
Comment 3 Kevin Fenzi 2007-12-31 17:47:24 EST
Yep. That does seem to fix it right up. ;) 

This can be closed as far as I am concerned... when can we expect a updated f8
package? 

For anyone seeing this I have a scratch build up (only available for a week from
this posting): 

http://koji.fedoraproject.org/koji/taskinfo?taskID=317091
Comment 4 Daniel Berrange 2008-01-01 12:34:08 EST
Thanks for confirming, I'll do a formal build and push out an update before
closing this.
Comment 5 Daniel Berrange 2008-01-02 19:33:38 EST
Fix is in libvirt-0.4.0-2.fc8 shortly hitting updates-testing

Comment 6 Kevin Fenzi 2008-02-20 22:32:59 EST
This was fixed with that update long ago... closing.